engarde-users July 2002 archive
Main Archive Page > Month Archives  > engarde-users archives
engarde-users: [EnGarde] [ESA-20020724-018] Buffer overflow in B

[EnGarde] [ESA-20020724-018] Buffer overflow in BIND4-derived resolver code.

From: EnGarde Secure Linux <security_at_nospam>
Date: Wed Jul 24 2002 - 18:57:57 GMT
To: engarde-security@guardiandigital.com, bugtraq@securityfocus.com

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1 +------------------------------------------------------------------------+
| EnGarde Secure Linux Security Advisory July 24, 2002 |
| http://www.engardelinux.org/ ESA-20020724-018 |
| |
| Packages: bind-chroot, bind-chroot-utils, glibc |
| Summary: Buffer overflow in BIND4-derived resolver code. |
+------------------------------------------------------------------------+

  EnGarde Secure Linux is a secure distribution of Linux that features   improved access control, host and network intrusion detection, Web   based secure remote management, complete e-commerce using AllCommerce,   and integrated open source security tools.

OVERVIEW
- --------
  There is a buffer overflow vulnerability in BIND4-derived resolver   libraries which may be triggered by a malicious DNS server sending   multiple CNAME records in a response. This may lead to arbitrary code   execution or a denial of service attack.

  Such code is included in our BIND (bind-chroot, bind-chroot-utils) or   GNU libc (glibc) packages. The BIND DNS server itself is not   vulnerable, only the resolver library (libbind) is. No programs are   believed to use this library.

  Please also note that glibc is only vulnerable if /etc/nsswitch.conf   has been directed to use DNS for network mapping. By default EnGarde   only uses files.

SOLUTION
- --------
  Users of the EnGarde Professional edition can use the Guardian Digital   Secure Network to update their systems automatically.

  EnGarde Community users should upgrade to the most recent version   as outlined in this advisory. Updates may be obtained from:

    ftp://ftp.engardelinux.org/pub/engarde/stable/updates/     http://ftp.engardelinux.org/pub/engarde/stable/updates/

  Before upgrading the package, the machine must either:

  1. be booted into a "standard" kernel; or
  2. have LIDS disabled.

  To disable LIDS, execute the command:

    # /sbin/lidsadm -S -- -LIDS_GLOBAL

  To install the updated package, execute the command:

    # rpm -Uvh files

  You must now update the LIDS configuration by executing the command:

    # /usr/sbin/config_lids.pl

  To re-enable LIDS (if it was disabled), execute the command:

    # /sbin/lidsadm -S -- +LIDS_GLOBAL

  To verify the signatures of the updated packages, execute the command:

    # rpm -Kv files

UPDATED PACKAGES - ----------------
  These updated packages are for EnGarde Secure Linux Community   Edition.

  Source Packages:

    SRPMS/bind-chroot-8.2.6-1.0.27.src.rpm       MD5 Sum: b9f5e9557b93ec5883c7589c05b8b927

    SRPMS/glibc-2.1.3-1.0.5.src.rpm
      MD5 Sum: 867604905b17afae6c619175f10b8cb3

  Binary Packages:

    i386/bind-chroot-8.2.6-1.0.27.i386.rpm       MD5 Sum: 9e8a8d144d8e251dfa3d44b4281b1600

    i386/bind-chroot-utils-8.2.6-1.0.27.i386.rpm       MD5 Sum: 8411aabd49c431c42307bfaebd836d88

    i386/glibc-2.1.3-1.0.5.i386.rpm
      MD5 Sum: 83b18d442d62c7d2586ce42e0659759e

    i686/bind-chroot-8.2.6-1.0.27.i686.rpm       MD5 Sum: dab84baddfc8c7b12c378019faacf802

    i686/bind-chroot-utils-8.2.6-1.0.27.i686.rpm       MD5 Sum: ee355b60a8b0cf77bdabc243140cbd45

REFERENCES
- ----------
  Guardian Digital's public key:
    http://ftp.engardelinux.org/pub/engarde/ENGARDE-GPG-KEY

  BIND's Official Web Site:
    http://www.isc.org/products/BIND/

  glibc's Official Web Site:
    http://www.gnu.org/software/libc/libc.html

  Security Contact: security@guardiandigital.com   EnGarde Advisories: http://www.engardelinux.org/advisories.html

  • -------------------------------------------------------------------------- $Id: ESA-20020724-018-resolver,v 1.1 2002/07/24 16:43:17 rwm Exp $
  • -------------------------------------------------------------------------- Author: Ryan W. Maple <ryan@guardiandigital.com> Copyright 2002, Guardian Digital, Inc.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE9Pvi8HD5cqd57fu0RAmceAKCQUEy2NQpRqKnC0BqKMRXztkzuXQCeILop dwpwLbQvvkT6it3oKR3V928=
=8BRp
-----END PGP SIGNATURE-----


To unsubscribe email engarde-security-request@engardelinux.org with "unsubscribe" in the subject of the message. Copyright(c) 2001 Guardian Digital, Inc. EnGardeLinux.org ------------------------------------------------------------------------ ------------------------------------------------------------------------ To unsubscribe email engarde-users-request@engardelinux.org with "unsubscribe" in the subject of the message.